### Signal

# RB TrackTransferBatch::track-progress

#### Declaration

    void
    track_progress (
      RBTrackTransferBatch* self,
      RhythmDBEntry* entry,
      gchar* dest,
      gint done,
      gint total,
      gdouble fraction,
      gpointer user_data
    )

#### Description [src]

Emitted regularly throughout the transfer to allow progress bars and other UI elements to be updated.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` being transferred.

  The data is owned by the caller of the function.

`dest`

  Type: `gchar*`

  The destination URI for the transfer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`done`

  Type: `gint`

  Some measure of how much of the transfer is done.

`total`

  Type: `gint`

  The total amount of that same measure.

`fraction`

  Type: `gdouble`

  The fraction of the transfer that is done.